## org.jfree.chart.plot.dial
Class DialPointer.Pin

    java.lang.Object
      org.jfree.chart.plot.dial.AbstractDialLayer
          org.jfree.chart.plot.dial.DialPointer
              org.jfree.chart.plot.dial.DialPointer.Pin

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialLayer, org.jfree.util.PublicCloneable

Enclosing class:
  DialPointer

    public static class DialPointer.Pin

extends DialPointer

A dial pointer that draws a thin line (like a pin).

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jfree.chart.plot.dial.DialPointer
`DialPointer.Pin, DialPointer.Pointer`

Constructor Summary
`DialPointer.Pin()` Creates a new instance.
`DialPointer.Pin(int datasetIndex)` Creates a new instance.

Method Summary
`void` `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the pointer.
`boolean` `equals(java.lang.Object obj)` Tests this pointer for equality with an arbitrary object.
`java.awt.Paint` `getPaint()` Returns the paint.
`java.awt.Stroke` `getStroke()` Returns the stroke.
`int` `hashCode()` Returns a hash code for this instance.
`void` `setPaint(java.awt.Paint paint)` Sets the paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setStroke(java.awt.Stroke stroke)` Sets the stroke and sends a `DialLayerChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.chart.plot.dial.DialPointer
`clone, getDatasetIndex, getRadius, isClippedToWindow, setDatasetIndex, setRadius`

Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer
`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.plot.dial.DialLayer
`addChangeListener, hasListener, isVisible, removeChangeListener`

Constructor Detail

### DialPointer.Pin

    public DialPointer.Pin()

  Creates a new instance.

### DialPointer.Pin

    public DialPointer.Pin(int datasetIndex)

  Creates a new instance.

  Parameters:
    `datasetIndex` - the dataset index.

Method Detail

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint.

  Returns:
    The paint (never `null`).
  See Also:
    `setPaint(Paint)`

### setPaint

    public void setPaint(java.awt.Paint paint)

  Sets the paint and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getPaint()`

### getStroke

    public java.awt.Stroke getStroke()

  Returns the stroke.

  Returns:
    The stroke (never `null`).
  See Also:
    `setStroke(Stroke)`

### setStroke

    public void setStroke(java.awt.Stroke stroke)

  Sets the stroke and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `stroke` - the stroke (`null` not permitted).
  See Also:
    `getStroke()`

### draw

    public void draw(java.awt.Graphics2D g2,
                     DialPlot plot,
                     java.awt.geom.Rectangle2D frame,
                     java.awt.geom.Rectangle2D view)

  Draws the pointer.

  Parameters:
    `g2` - the graphics target.
    `plot` - the plot.
    `frame` - the dial's reference frame.
    `view` - the dial's view.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this pointer for equality with an arbitrary object.

  Overrides:
    `equals` in class `DialPointer`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `DialPointer`
  Returns:
    A hash code.